Plesk Onyx sichert Postgres Datenbanken nicht

Wie im Netcup Kundenforum berichtet, sichert das aktuellste Plesk Onyx keine Postgres-Datenbanken. Die Fehlermeldung hierzu lautet:

/usr/lib/postgresql/9.5/bin/pg_dump: invalid option -- 'i' Try "pg_dump --help" for more information.

Das Problem ist zum Glück einfach zu beheben, eine kurze rekursive Suche mittels

grep -R pq_dump *

im Ordner ‚/usr/local/psa/‘ führte schnell zur Datei ‚/usr/local/psa/PMM/agents/shared/Db/PostgresqlShellBackend.pm‘. In dieser Datei muss einfach ca. Zeile 64 auskommentiert und durch die gleiche Zeile ohne ‚-i‘ ersetzt werden:

  #$self->_setDumpCmdline($self->_getCmd(AgentConfig::pgdumpBin(), "-Fc -b -i"));
  $self->_setDumpCmdline($self->_getCmd(AgentConfig::pgdumpBin(), "-Fc -b"));

‚-i‘ ist eine veraltete Option von pq_dump und wird schon lange nicht mehr verwendet.